{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-@l10n/ja/develop/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"クイックスタートガイド","description":"YouCam API documentation by Perfect Corp. Learn how to use Skin analysis API, Virtual try-on API, Image editing API, and Video generative AI APIs.","siteUrl":"https://docs.perfectcorp.com","keywords":"AI Skin Analysis, AI Clothes, AI Hairstyle, AI Outfits","image":"/assets/favicon.cd6fa4d833b2a573b3c6dae68386b293da205b203402cb0c97b80bd2acc07ea2.8351e24f.png"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"クイックスタートガイド","__idx":0},"children":["クイックスタートガイド"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["まず、",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://yce.makeupar.com/ai-api"},"children":["https://yce.makeupar.com/ai-api"]}," で YouCam API アカウントを無料で登録します。その後、購入またはサブスクリプションに申し込むことでユニットを取得し、サービスを利用できます。",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://yce.makeupar.com/api-console/en/api-keys/"},"children":["https://yce.makeupar.com/api-console/en/api-keys/"]}," で、サブスクリプションプラン、従量課金ユニット、利用記録を確認できます。アカウントページの API Key タブで API キーを生成・管理し、YouCam API の利用を開始します。"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"ワークフローの手順","__idx":1},"children":["ワークフローの手順:"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"1-認証","__idx":2},"children":["1. 認証"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["リクエストヘッダーに ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Bearer Token"]}," で API キーを含めます:",{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"Authorization: Bearer YOUR_API_KEY\n"},"children":[]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["API キーは ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://yce.makeupar.com/api-console/en/api-keys/"},"children":["https://yce.makeupar.com/api-console/en/api-keys/"]}," で確認できます。"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"2-ファイルのアップロードまたはパブリック画像-url-の準備","__idx":3},"children":["2. ファイルのアップロードまたはパブリック画像 URL の準備。"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["File API"]}," を呼び出す"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["File API のレスポンスからアップロード URL ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["requests.url"]}," と対応する ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["file_id"]}," を取得する。"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["File API のレスポンスの ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["requests.url"]}," で画像をアップロードする"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"3-ai-タスクを開始しタスク-id-を取得","__idx":4},"children":["3. AI タスクを開始し、タスク ID を取得:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["アップロードした画像と AI タスク設定を HTTP POST リクエストで ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/s2s/v2.0/task/skin-analysis"]}," に送信します。ここでは例として AI 肌分析タスクを使用します。"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["このインタラクションを識別する一意のタスク ID がレスポンスに含まれるのを待つ。"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"4-タスクステータスのポーリング継続的な確認","__idx":5},"children":["4. タスクステータスのポーリング（継続的な確認）:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["取得した ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["task_id"]}," を使用して、HTTP GET リクエストで定期的にタスクステータスをポーリングします（例: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /skin-analysis/${task_id}"]},"）。ここでは例として AI 肌分析タスクを使用します。"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["以下を継続的に監視します:",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Task_status = \"success\""]},"（処理完了）。"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Task_status = \"error\""]},"（該当する場合、解決またはリトライ）。"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["ステータスが success に遷移したら、ワークフローをそれに応じて更新します。"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"5-結果の取得","__idx":6},"children":["5. 結果の取得"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["正常なレスポンスには、結果画像のダウンロード URL が含まれます。"]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]}]},"headings":[{"value":"クイックスタートガイド","id":"クイックスタートガイド","depth":1},{"value":"ワークフローの手順:","id":"ワークフローの手順","depth":3},{"value":"1. 認証","id":"1-認証","depth":4},{"value":"2. ファイルのアップロードまたはパブリック画像 URL の準備。","id":"2-ファイルのアップロードまたはパブリック画像-url-の準備","depth":4},{"value":"3. AI タスクを開始し、タスク ID を取得:","id":"3-ai-タスクを開始しタスク-id-を取得","depth":4},{"value":"4. タスクステータスのポーリング（継続的な確認）:","id":"4-タスクステータスのポーリング継続的な確認","depth":4},{"value":"5. 結果の取得","id":"5-結果の取得","depth":4}],"frontmatter":{"seo":{"title":"クイックスタートガイド"}},"lastModified":"2026-09-18T12:18:36.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/ja/develop/quick_start_guide","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}